> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# API to save bot appearance by id



## OpenAPI

````yaml api-reference/openapi-1.json post /api/v1/bot/appearance/{id}
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/bot/appearance/{id}:
    post:
      tags:
        - Bot
        - Appearance
      summary: API to save bot appearance by id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              type: object
              properties:
                background_color:
                  type: string
                bot_name:
                  type: string
                chat_bot_bubble_style:
                  type: object
                  properties:
                    background_color:
                      type: string
                    text_color:
                      type: string
                chat_human_bubble_style:
                  type: object
                  properties:
                    background_color:
                      type: string
                    text_color:
                      type: string
                first_message:
                  type: string
        required: false
      responses:
        '200':
          description: Default Response
          content: {}

````